JavaScript
import { Hyperbrowser } from '@hyperbrowser/sdk';
const client = new Hyperbrowser({ apiKey: 'your-api-key' });
await client.sessions.startCaptchaSolving('session-id', {
solverType: 'visual'
});
await client.sessions.stopCaptchaSolving('session-id');from hyperbrowser import Hyperbrowser
from hyperbrowser.models import UpdateSessionSolveCaptchasParams
client = Hyperbrowser(api_key='your-api-key')
client.sessions.start_captcha_solving(
'session-id',
UpdateSessionSolveCaptchasParams(solver_type='visual')
)
client.sessions.stop_captcha_solving('session-id')curl -X PUT "https://api.hyperbrowser.ai/api/session/$SESSION_ID/update" \
-H "Content-Type: application/json" \
-H "x-api-key: $HYPERBROWSER_API_KEY" \
-d '{"type":"solveCaptchas","params":{"enabled":true,"solverType":"visual"}}'
{
"success": true,
"solveCaptchas": true,
"sessionId": "<string>",
"telemetryReady": true
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Sessions
Update a running session
Update supported settings on an active browser session. Supported update types are profile, proxy, screen, and solveCaptchas.
PUT
/
api
/
session
/
{id}
/
update
JavaScript
import { Hyperbrowser } from '@hyperbrowser/sdk';
const client = new Hyperbrowser({ apiKey: 'your-api-key' });
await client.sessions.startCaptchaSolving('session-id', {
solverType: 'visual'
});
await client.sessions.stopCaptchaSolving('session-id');from hyperbrowser import Hyperbrowser
from hyperbrowser.models import UpdateSessionSolveCaptchasParams
client = Hyperbrowser(api_key='your-api-key')
client.sessions.start_captcha_solving(
'session-id',
UpdateSessionSolveCaptchasParams(solver_type='visual')
)
client.sessions.stop_captcha_solving('session-id')curl -X PUT "https://api.hyperbrowser.ai/api/session/$SESSION_ID/update" \
-H "Content-Type: application/json" \
-H "x-api-key: $HYPERBROWSER_API_KEY" \
-d '{"type":"solveCaptchas","params":{"enabled":true,"solverType":"visual"}}'
{
"success": true,
"solveCaptchas": true,
"sessionId": "<string>",
"telemetryReady": true
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Path Parameters
Body
application/json
Was this page helpful?
⌘I